Bug 503279 - Recorded audio not getting properly to applications (possibly #475714 happening again)
Recorded audio not getting properly to applications (possibly #475714 happeni...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 12:30 EDT by Joonas Sarajärvi
Modified: 2009-06-29 08:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 08:51:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joonas Sarajärvi 2009-05-30 12:30:42 EDT
Description of problem:
When I plug a USB-connected logitech web camera with a microphone to my laptop, it seems to be correctly detected by pulseaudio. The audio source is visible in pavucontrol and the volume meter seems to correlate with the sounds around the microphone. Applications like Ekiga and Cheese can be directed to record from this stream, after which their volume meter also seems to react correctly to the surrounding real sounds. 

However, when I play a video recorded with cheese, or try to listen to sounds recorded by Ekiga (using the echo service there), I get only silence, even with speaker volumes almost maxed out. Other sounds, like incoming call alerts, are working just fine.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-11.fc11.i586

How reproducible:
may require certain hardware

Steps to Reproduce:
1. Have a audio source that works with pulseaudio.
2. Record sounds with an application through pulseaudio.
3. See if the application recorded silence, or some sounds.
  
Actual results:
Applications seem to not get any audio signal through.

Expected results:
The audio signal roughly matches what was tried to record.

Additional info:
Comment 1 Joonas Sarajärvi 2009-05-30 12:33:16 EDT
Alsa-info output from the computer is available at http://www.alsa-project.org/db/?f=44004f20b8c0a77f79446885f446d9c62964508c

Another note - The bug seems very similar to https://bugzilla.redhat.com/show_bug.cgi?id=475714
Comment 2 Lennart Poettering 2009-06-04 14:54:49 EDT
Could you please try running pavucontrol and check if all output streams connected to the right device and have a good volume (on the Playback tab, right click on the streams).
Comment 3 Joonas Sarajärvi 2009-06-04 16:41:09 EDT
I'm quite sure I did that quite a few times before reporting this bug. Also booted the machine between tests.

However, now that I tested it again, it Just Works as expected, both with the web camera and a USB headset that I have lying around.

Thanks for your attention towards my issue. I'll probably post here again if the bug surfaces later.
Comment 4 Bug Zapper 2009-06-09 12:50:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Lennart Poettering 2009-06-29 08:51:41 EDT
Closing then.

Note You need to log in before you can comment on or make changes to this bug.